Subject: bug#28113: 25.2; `ignore-errors' around `require'

From: Drew Adams <[email-masked]>
Date: Wed, 16 Aug 2017 15:39:34 -0700 (PDT)

> tags 28113 + unreproducible
> quit
> 
> Works for me. I tried
>     emacs -Q -f toggle-debug-on-error -l start.el
> where start.el has
>     (condition-case err
>         (let ((load-path (cons default-directory load-path)))
>           (require 'load-some-nonexistent-files))
>       (error (message "caught error: %S" err)))
> And load-some-nonexistent-files.el has
>     (require 'there-is-no-such-file)
>     (provide 'load-some-nonexistent-files)
> 
> I get
>     Debug on Error enabled globally
>     caught error: (file-error "Cannot open load file"
>                   "no such file or directory"
>                   "there-is-no-such-file")
> 
> in *Messages*.
> Tested in 24.3 and 25.1.

OK, I won't worry about it.  It's actually more complicated, and I
don't have the time or worry to track it down more.

FYI - The files all exist and are in my load path, when I byte-compile
them.  If I then start with emacs -Q and set the load-path so that it
can see all except vline.el (which is in a different dir) then the error
is raised.

I'm guessing that it is because of the files being compiled (no error
was raised when compiling because the load-path then was fuller, picking
up vline.el).

Also (perhaps relevant), the condition-case is itself not at top level
but is wrapped in a (when...) test for an emacs-major-version minimum.

Anyway, thanks for taking a look.